[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAlignInsertBeforeEvent

Type of an OnAlignInsertBefore handler.

## Declaration

Source position: controls.pp line 2057

`type TAlignInsertBeforeEvent = function(`
`Sender: TWinControl;`
`Control1: TControl;`
`Control2: TControl`
`):Boolean of object;`

## Arguments

`Sender` |  | The Parent control.

## Function result

True if Control2 shall be placed before Control1 is placed.

## Description

The handler determines the order used to align both controls.

## See also

TWinControl.CustomAlignInsertBefore |  | Indicates whether the specified controls were custom-aligned using the OnAlignInsertBefore handler.